# std::lognormal_distribution::lognormal_distribution

From cppreference.com
< cpp‎ | numeric‎ | random‎ | lognormal distribution

explicit lognormal_distribution( RealType m = 0.0, RealType s = 1.0 ); | (1) | (since C++11)
explicit lognormal_distribution( const param_type& params ); | (2) | (since C++11)

Constructs a new distribution object. The first version uses `m` and `s` as the distribution parameters, the second version uses `params` as the distribution parameters.

### Parameters

m | - | the m distribution parameter (log-scale)
s | - | the s distribution parameter (shape)
params | - | the distribution parameter set

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/lognormal_distribution/lognormal_distribution&oldid=62899"